%define upstream_name    RT-Extension-SLA
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Checks if Starts date is not set
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     Module-Install-RTx-destdir.patch
Patch2:     Module-Install-RTx-installdirs.patch

BuildRequires: perl(Business::Hours)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Install::RTx)
BuildArch: noarch

%description
It's not a real action, but container for subclassing which provide help
methods for other actions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
pushd inc
%patch1 -p0 -b .destdir
%patch2 -p0 -b .installdirs
popd

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make INSTALLDIRS=vendor

%check
# Requires RT::Test, which we dont seem to ship
#make test

%install
rm -rf %buildroot
%makeinstall_std INSTALLDIRS=vendor
rm -Rf %{buildroot}/%{_prefix}/local

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%doc etc/initialdata




%changelog

* Mon Apr 23 2012 buchan <buchan> 0.50.0-1.mga2
+ Revision: 233127
- BR Module::Install::RTx
- imported package perl-RT-Extension-SLA


* Mon Apr 23 2012 Buchan Milne <buchan@mageia.org> 0.05-1mga
- initial mageia release, generated with the help of cpan2dist
